Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class PrincipalFdkCredential

    java.lang.Object
      oracle.ifs.fdk.PrincipalFdkCredential

All Implemented Interfaces:
  FdkCredential

    public class PrincipalFdkCredential

extends java.lang.Object
implements FdkCredential

Represents an FdkCredential implementation which encapsulates a JAAS JAAS `java.security.Principal` identity.

Constructor Summary
`PrincipalFdkCredential(java.security.Principal principal)` Constructor.
`PrincipalFdkCredential(java.security.Principal principal, java.util.Map options)` Constructor.

Method Summary
`java.util.Map` | `getOptions()` Returns the login options.
`java.security.Principal` | `getPrincipal()` Returns the encapsulated Principal.
`java.lang.String` | `getUsername()` Returns the username for this credential.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrincipalFdkCredential

    public PrincipalFdkCredential(java.security.Principal principal)

  Constructor.

  Parameters:
    `principal` - The Principal to encapsulate.

### PrincipalFdkCredential

    public PrincipalFdkCredential(java.security.Principal principal,
                                  java.util.Map options)

  Constructor.

  Parameters:
    `principal` - The Principal to encapsulate.
    `options` - Login options.

Method Detail

### getPrincipal

    public java.security.Principal getPrincipal()

  Description copied from class: `PrincipalFdkCredential`
  Returns the encapsulated Principal.

  Returns:
    The encapsulated Principal.

### getUsername

    public java.lang.String getUsername()

  Description copied from class: `PrincipalFdkCredential`
  Returns the username for this credential.

  Specified by:
    `getUsername` in interface `FdkCredential`
  Returns:
    The username for this credential; returns `null` if the username is not known.

### getOptions

    public java.util.Map getOptions()

  Description copied from class: `PrincipalFdkCredential`
  Returns the login options. If there are no login options set, an empty map must be returned. The map must be writable so that new options could be added to it.

  Specified by:
    `getOptions` in interface `FdkCredential`
  Returns:
    The login options.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD